import request from '@/utils/request'

// 查询停机记录列表
export function listShutDown(query) {
  return request({
    url: '/dms/shutDown/list',
    method: 'get',
    params: query
  })
}

// 查询停机记录详细
export function getShutDown(recordShutDownId) {
  return request({
    url: '/dms/shutDown/' + recordShutDownId,
    method: 'get'
  })
}

// 新增停机记录
export function addShutDown(data) {
  return request({
    url: '/dms/shutDown',
    method: 'post',
    data: data
  })
}

// 修改停机记录
export function updateShutDown(data) {
  return request({
    url: '/dms/shutDown',
    method: 'put',
    data: data
  })
}

// 删除停机记录
export function delShutDown(recordShutDownId) {
  return request({
    url: '/dms/shutDown/' + recordShutDownId,
    method: 'delete'
  })
}
